Bug 150452 - Port update: sysutils/dvdbackup - Update to v0.4.1
Summary: Port update: sysutils/dvdbackup - Update to v0.4.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-09 22:00 UTC by ganael.laplanche
Modified: 2010-09-17 10:40 UTC (History)
0 users

See Also:


Attachments
file.diff (6.84 KB, patch)
2010-09-09 22:00 UTC, ganael.laplanche
no flags Details | Diff
patch-dvdbackup.txt (8.66 KB, patch)
2010-09-16 21:53 UTC, ganael.laplanche
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ganael.laplanche 2010-09-09 22:00:16 UTC
Dvdbackup was written by Olaf Beck <olaf_sc@yahoo.com>, but is now maintained by Benjamin Drung <benjamin.drung@gmail.com> and Stephen Gran <sgran@debian.org>. Its web page is now hosted at : http://dvdbackup.sourceforge.net.

This patch updates dvdbackup to its latest version : v0.4.1.

This patch depends on multimedia/libdvdread update (ports/150450).

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-09-09 22:00:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Emanuel Haupt freebsd_committer 2010-09-10 08:46:33 UTC
State Changed
From-To: open->analyzed

Waiting for ports/150450 to be committed.
Comment 3 Emanuel Haupt freebsd_committer 2010-09-16 08:03:46 UTC
State Changed
From-To: analyzed->open

ports/150450 committed, evaluating update.
Comment 4 Emanuel Haupt freebsd_committer 2010-09-16 16:59:48 UTC
State Changed
From-To: open->feedback

Thank you for your update! 

One minor modification is needed, the part in post-configure needs to go to 
pre-configure in order to respect NOPORTDOCS. This was probably just a typo 
(don't need to follow up another patch). 

I noticed one functional thing. After the update dvdbackup doesen't seem to be 
able to autodetect the DVD name anymore (dvdbackup -i /dev/cd0 -M -o .). 

If the name is specified manually with -n it works. Would be nice if this could 
be fixed.
Comment 5 ganael.laplanche 2010-09-16 21:53:44 UTC
On Thu, 16 Sep 2010 18:08:17 +0200 (CEST), ehaupt wrote

Hi Emanuel,

> One minor modification is needed, the part in post-configure needs to 
> go to pre-configure in order to respect NOPORTDOCS. This was probably 
> just a typo (don't need to follow up another patch).

Yes, sorry, of course this is a mistake :p

> I noticed one functional thing. After the update dvdbackup doesen't 
> seem to be able to autodetect the DVD name anymore (dvdbackup -i 
> /dev/cd0 -M -o .).
> 
> If the name is specified manually with -n it works. Would be nice if 
> this could be fixed.

Please find attached a new version of the patch that includes a fix for that
problem. It is an up-to-date version of the patch committed in ports/74375.

I have also changed the default dvd device to /dev/acd0 instead of /dev/dvd,
which is the most common DVD device used on freeBSD.

With those two patches, backupping a whole DVD is as easy as : 'dvdbackup -M'

Best regards,

Ganael LAPLANCHE
ganael.laplanche@martymac.org
http://www.martymac.org | http://contribs.martymac.org
Comment 6 Emanuel Haupt freebsd_committer 2010-09-16 22:21:47 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 7 dfilter freebsd_committer 2010-09-17 10:31:34 UTC
ehaupt      2010-09-17 09:31:27 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/dvdbackup   Makefile distinfo pkg-descr 
    sysutils/dvdbackup/files patch-src::dvdbackup.c 
  Added files:
    sysutils/dvdbackup/files pkg-message.in 
  Log:
  Update to 0.4.1
  
  PR:             150452
  Submitted by:   Ganael Laplanche <ganael.laplanche@martymac.org>
  
  Revision  Changes    Path
  1.15      +38 -16    ports/sysutils/dvdbackup/Makefile
  1.3       +3 -3      ports/sysutils/dvdbackup/distinfo
  1.4       +23 -59    ports/sysutils/dvdbackup/files/patch-src::dvdbackup.c
  1.1       +7 -0      ports/sysutils/dvdbackup/files/pkg-message.in (new)
  1.2       +3 -2      ports/sysutils/dvdbackup/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Emanuel Haupt freebsd_committer 2010-09-17 10:32:08 UTC
State Changed
From-To: open->closed

Thank you for your quick update! I've just committed the patch with minor 
modifications. I changed the default device from acd0 to cd0 as dvdbackup won't 
play nice with ATAPI devices. I added a pkg-message file to point that out and 
reference to atapicam(4) on how to emulate a SCSI device. Thanks again for your 
update!